###################################################
### chunk number 1: loadLibs
###################################################
#line 145 "d:/Rcompile/CRANpkg/local/2.12/doSMP/inst/doc/gettingstartedSMP.Rnw"
library(doSMP)
w <- startWorkers(workerCount=4)
registerDoSMP(w)
foreach(i=1:3) %dopar% sqrt(i)


###################################################
### chunk number 2: bootpar
###################################################
#line 182 "d:/Rcompile/CRANpkg/local/2.12/doSMP/inst/doc/gettingstartedSMP.Rnw"
x <- iris[which(iris[,5] != "setosa"), c(1,5)]
trials <- 10000

chunkSize <- ceiling(trials / getDoParWorkers())
smpopts <- list(chunkSize=chunkSize)

ptime <- system.time({
  r <- foreach(icount(trials), .combine=cbind, .options.smp=smpopts) %dopar% {
    ind <- sample(100, 100, replace=TRUE)
    result1 <- glm(x[ind,2]~x[ind,1], family=binomial(logit))
    coefficients(result1)
  }
})[3]
ptime


###################################################
### chunk number 3: bootseq
###################################################
#line 204 "d:/Rcompile/CRANpkg/local/2.12/doSMP/inst/doc/gettingstartedSMP.Rnw"
stime <- system.time({
  r <- foreach(icount(trials), .combine=cbind) %do% {
    ind <- sample(100, 100, replace=TRUE)
    result1 <- glm(x[ind,2]~x[ind,1], family=binomial(logit))
    coefficients(result1)
  }
})[3]
stime


###################################################
### chunk number 4: getDoParWorkers
###################################################
#line 238 "d:/Rcompile/CRANpkg/local/2.12/doSMP/inst/doc/gettingstartedSMP.Rnw"
getDoParWorkers()


###################################################
### chunk number 5: getDoParName
###################################################
#line 255 "d:/Rcompile/CRANpkg/local/2.12/doSMP/inst/doc/gettingstartedSMP.Rnw"
getDoParName()
getDoParVersion()


###################################################
### chunk number 6: options
###################################################
#line 272 "d:/Rcompile/CRANpkg/local/2.12/doSMP/inst/doc/gettingstartedSMP.Rnw"
smpopts <- list(chunkSize=2)
foreach(i=1:6, .options.smp=smpopts) %dopar% sqrt(i)


###################################################
### chunk number 7: stopworkers
###################################################
#line 286 "d:/Rcompile/CRANpkg/local/2.12/doSMP/inst/doc/gettingstartedSMP.Rnw"
stopWorkers(w)


